Package com.independentsoft.office.drawing

# Class OuterShadowEffect

java.lang.Object
com.independentsoft.office.drawing.OuterShadowEffect

public class OuterShadowEffect extends Object
The Class OuterShadowEffect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OuterShadowEffect()`
  Instantiates a new outer shadow effect.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OuterShadowEffect`
  `clone()`
  `RectangleAlignment`
  `getAlignment()`
  Gets the alignment.
  `Unit`
  `getBlurRadius()`
  Gets the blur radius.
  `ColorChoice`
  `getColorChoice()`
  Gets the color choice.
  `int`
  `getDirection()`
  Gets the direction.
  `Unit`
  `getDistance()`
  Gets the distance.
  `int`
  `getHorizontalScalingFactor()`
  Gets the horizontal scaling factor.
  `int`
  `getHorizontalSkew()`
  Gets the horizontal skew.
  `int`
  `getVerticalScalingFactor()`
  Gets the vertical scaling factor.
  `int`
  `getVerticalSkew()`
  Gets the vertical skew.
  `boolean`
  `isRotateWithShape()`
  Checks if is rotate with shape.
  `void`
  `setAlignment​(RectangleAlignment alignment)`
  Sets the alignment.
  `void`
  `setBlurRadius​(Unit blurRadius)`
  Sets the blur radius.
  `void`
  `setColorChoice​(ColorChoice colorChoice)`
  Sets the color choice.
  `void`
  `setDirection​(int direction)`
  Sets the direction.
  `void`
  `setDistance​(Unit distance)`
  Sets the distance.
  `void`
  `setHorizontalScalingFactor​(int horizontalScalingFactor)`
  Sets the horizontal scaling factor.
  `void`
  `setHorizontalSkew​(int horizontalSkew)`
  Sets the horizontal skew.
  `void`
  `setRotateWithShape​(boolean rotateWithShape)`
  Sets the rotate with shape.
  `void`
  `setVerticalScalingFactor​(int verticalScalingFactor)`
  Sets the vertical scaling factor.
  `void`
  `setVerticalSkew​(int verticalSkew)`
  Sets the vertical skew.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OuterShadowEffect

    public OuterShadowEffect()
    Instantiates a new outer shadow effect.

- ## Method Details

  - ### clone

    public OuterShadowEffect clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColorChoice

    public ColorChoice getColorChoice()
    Gets the color choice.
    Returns:
      the color choice

  - ### setColorChoice

    public void setColorChoice​(ColorChoice colorChoice)
    Sets the color choice.
    Parameters:
      `colorChoice` - the new color choice

  - ### getAlignment

    public RectangleAlignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(RectangleAlignment alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getBlurRadius

    public Unit getBlurRadius()
    Gets the blur radius.
    Returns:
      the blur radius

  - ### setBlurRadius

    public void setBlurRadius​(Unit blurRadius)
    Sets the blur radius.
    Parameters:
      `blurRadius` - the new blur radius

  - ### getDirection

    public int getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(int direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getDistance

    public Unit getDistance()
    Gets the distance.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(Unit distance)
    Sets the distance.
    Parameters:
      `distance` - the new distance

  - ### getHorizontalSkew

    public int getHorizontalSkew()
    Gets the horizontal skew.
    Returns:
      the horizontal skew

  - ### setHorizontalSkew

    public void setHorizontalSkew​(int horizontalSkew)
    Sets the horizontal skew.
    Parameters:
      `horizontalSkew` - the new horizontal skew

  - ### getVerticalSkew

    public int getVerticalSkew()
    Gets the vertical skew.
    Returns:
      the vertical skew

  - ### setVerticalSkew

    public void setVerticalSkew​(int verticalSkew)
    Sets the vertical skew.
    Parameters:
      `verticalSkew` - the new vertical skew

  - ### isRotateWithShape

    public boolean isRotateWithShape()
    Checks if is rotate with shape.
    Returns:
      true, if is rotate with shape

  - ### setRotateWithShape

    public void setRotateWithShape​(boolean rotateWithShape)
    Sets the rotate with shape.
    Parameters:
      `rotateWithShape` - the new rotate with shape

  - ### getHorizontalScalingFactor

    public int getHorizontalScalingFactor()
    Gets the horizontal scaling factor.
    Returns:
      the horizontal scaling factor

  - ### setHorizontalScalingFactor

    public void setHorizontalScalingFactor​(int horizontalScalingFactor)
    Sets the horizontal scaling factor.
    Parameters:
      `horizontalScalingFactor` - the new horizontal scaling factor

  - ### getVerticalScalingFactor

    public int getVerticalScalingFactor()
    Gets the vertical scaling factor.
    Returns:
      the vertical scaling factor

  - ### setVerticalScalingFactor

    public void setVerticalScalingFactor​(int verticalScalingFactor)
    Sets the vertical scaling factor.
    Parameters:
      `verticalScalingFactor` - the new vertical scaling factor